# Role of boundary conditions, topology and disorder in the chiral magnetic effect in Weyl semimetals

## Abstract

Quantum field theory predicts Weyl semimetals to possess a peculiar response of the longitudinal current density to the application of a DC magnetic field. Such a response function has been shown to be at odds with a general result showing the vanishing of the bulk current in an equilibrium system on any real material with a lattice in an external magnetic field. Here we resolve this apparent contradiction by introducing a model where a current flows in response to a magnetic field even without Weyl nodes. We point out that the previous derivation of a vanishing CME in the limit of vanishing real frequency is a consequence of the assumption of periodic boundary conditions of the system. A more realistic system with open boundary conditions is not subject to these constraints and can have a non-vanishing CME. Consistent with recent work, we found the finite frequency CME to be non-vanishing in general when there was a non-vanishing Berry curvature on the Fermi surface. This does not necessitate having a topological Berry flux as in the case of a Weyl node. Finally, we study how the perturbation theory in magnetic field might be more stable in the presence of disorder. Using the standard diagrammatic treatment of disorder within the Born approximation, we have found that in a realistic disordered system, the chiral magnetic response is really a dynamical phenomena and vanishes in the DC limit.

###### pacs:

03.67.Lx, 03.65.Vf, 71.10.Pm^{1}

## I Introduction

Weyl semimetals, which are three-dimensional analogues of graphene, have generated a lot of interest in recent years because of the combination of their peculiar properties (1); (2); (3); (4); (5) and experimental accessibility (6); (7); (8); (9); (10). Unlike graphene, the gapless nature of the Weyl points in the energy spectrum of a Weyl semimetal are protected by topology through the presence of a non-zero Berry flux in momentum space(4). The non-zero Berry flux has certain unique characteristics such as chiral Landau levels when subjected to a magnetic field (11); (12). Electrons in the zero energy Landau levels in a Weyl semimetal propagate either parallel or antiparallel to the magnetic field and can form a closed loop only with the aid of Fermi arc states on the surface of the Weyl semimetals (4). Recently some evidence for such Fermi arcs (13) and the chiral Landau levels (14) has become available. However, the Landau level trajectories of electrons by themselves do not form a macroscopic response function that can be measured without direct reference to the single electrons. On the other hand, the topological Berry flux in Weyl semimetals is also predicted to give rise to a such a response through the so-called ”chiral anomaly” in three dimensions known from quantum field theory(2); (15). It has been shown that this chiral anomaly could be applicable to Weyl semi-metals in the solid state solid state systems in the form of the ”chiral magnetic effect” (CME) (16); (17); (18); (19); (20); (21); (22); (23); (24).

The CME, which is originally a prediction from the continuum field theory of Weyl Fermions in three dimensions, has been the subject of some debate when applied to solid state systems on a lattice. Lattice regularization itself is known to limit Weyl points to exist in pairs so as to ensure the vanishing of the total Berry flux in momentum space. Denoting the separation in energy of a pair of such Weyl points by , the CME predicts a current in response to the application of a magnetic field . This is a rather unusual prediction since in the solid state, with the exception of superconductors, the flow of a current always requires an applied electric field. The subtle nature of the field theory prediction was further substantiated by the demonstration of regularization schemes where the CME would not occur in Weyl semimetals (21); (22). Using different limits from field theory, a variety of other conclusions were reached for the existence of the CME, such as a critical momentum space separation of the Weyl points (24), presence of a gap (23). Semiclassical analysis(18); (19) of the magnetic field response also concluded the CME to be absent in Weyl semimetals. Following this, direct (numerical) linear response calculations of CME for specific lattice models (17); (20) of Weyl semimetal it is concluded that the CME can indeed occur as predicted by field theory in the appropriate momentum and frequency limit. However, the numerical confirmation of the CME by linear response studies of lattice models does not address the counter-intuitive nature of the CME i.e. how a current can flow in response to just a magnetic field. In fact, Vazifeh and Franz (16) and later Yamamoto(25) have shown rigorously that the current in thermal equilibrium in any solid state material must vanish in the absence of an electric field.

In this paper, we address these questions by studying the magnetic field response of the current in metals in different situations. We start in Sec. II by using a model Hamiltonian to demonstrate that an adiabatically increasing magnetic field can generate a charge current along the direction of the magnetic field even without any topological properties such as Weyl nodes in the dispersion. This establishes that not only is a CME-like current response possible, it is not unique to topological systems. In Sec. III we carefully re-examine the linear response properties and distinguish two kinds of linear response namely - thermal equilibrium response and dynamical response in the DC limit. In Sec. III.1, we review how the equilibrium linear response must identically vanish. Furthermore, we show that for finite wave-vector magnetic fields in periodic boundary condition systems the DC limit of the dynamical response coincides with the equilibrium response and therefore also vanishes. In Sec. III.3, we show that the linear response is not as straightforward in systems with open boundary conditions where a uniform magnetic field may be applied. In this case, the DC limit of the dynamical response differs from the vanishing equilibrium response and remains finite. Finally in Sec. IV, we show that while disorder might be used to make the notion of a perturbative magnetic field more well-defined, it still leads to a vanishing CME response due to scattering.

## Ii Chiral magnetic response of conventional systems at finiite field

In this section we present an example of a system which develops a DC current in response to the application of a DC magnetic field that is parallel to the direction of the current. Therefore, in a sense we will see that the key surprising aspect of the chiral magnetic response i.e. a current response to a magnetic field is not only possible, but is not unique to non-topological systems.

The model we study is described by the Hamiltonian

(1) |

which is parametrized by and . In the limit , describes the Fermi wave-vector of the system. The parameter is key to breaking time-reversal and inversion symmetries along the -direction, which are symmetries that would forbid a current response. We will choose this parameter to be small i.e. , so that the modification of the dispersion around the Fermi surface can be computed perturbatively in .

Applying a constant magnetic field along the axis in Landau gauge changes it to

(2) | ||||

This has the same eigenstates as a two dimensional electron gas in magnetic field, these eigenstates are well known(26).The spectrum for states in the bulk are given by

(3) |

where is the cyclotron frequency. Since the vector potential is not periodic in -drection, we will consider the system to to be open along the direction with width and have periodic boundary conditions along the and direction. For this system the bulk extends for a range of beyond which the bulk states merge into chiral edge states. Assuming that the system to be terminated in the -drection by a potential , which varies smoothly on the scale of the magnetic length, the dispersion including both bulk and edge states is given by

(4) |

The mean current carried by the system along the -direction in steady state can be written as

(5) |

where is the group velocity of the electrons along the -direction and is the occupation of the electronic states in the Landau level at wave-vector . For simplicity, we consider a system starting at a finite uniform magnetic field . At such a finite magnetic field , the Landau levels indexed by at any given momentum point are separated in energy and adiabatically increasing the magnetic field from to preserves the initially equilibrium occupation of the electronic levels which is given by

(6) |

where is the Fermi function at some temperature .

It should be noted that as the magnetic field is raised the distribution no longer remains an equilibrium distribution. In fact, the current can be shown to vanish in equilibrium in complete agreement with Refs .(16); (25) since

(7) |

where is the integrated Fermi function. Noting that this function must approach a constant at the edge of the BZ where , the current density vanishes as .

On the other hand, in the limit of a small bit finite change in the magnetic field, the current density aquires a finite expectation value that can be expanded to lowest order in as

(8) |

Assuming the zero temperature limit, the above integral can be restricted to be between and , which are the unperturbed Fermi points defined by . With this simplification, the current density is written as

(9) |

Substituting in from equation (4) gives

(10) |

Using , to first order in we obtain

(11) |

which is nonzero in general even though the original Hamiltonian has no Berry curvature.

## Iii Linear response in the clean systems

### iii.1 Vanishing of low-frequency linear response for periodic boundary conditions

In apparent contradiction to the previous section, the dynamical linear response of the current to a low frequency magnetic field has been shown to vanish. To facilitate a direct comparison with our example, we review the argument in some detail. The key ingredient in this argument is to consider the response function in thermal equilibrium referred to as the equilibrium response, which is distinct from the DC limit of the dynamical response in general. The DC limit of the dynamical response is that real frequency response with the frequency being finite but small.

The response of the current operator in thermal equilibrium to linear order in an external magnetic field is given by

(12) |

where the second term counts for the inrinsic change of the current operator due to the application of the magnetic field. Here is the vector potential generated by the magnetic field and is the inverse temperature. Defining

(13) | ||||

and using it to expand equation (12) first order gives

(14) | ||||

The first and the fourth terms evaluate to zero since . For a translational invariant system we can write

(17) | ||||

Translational invariance suggests that the transformation to Fourier domain would simplify the results. However, it turns out that periodic boundary conditions restrict us from using a strictly uniform magnetic field and we must consider a magnetic field with a finite but small wave-vector . At such a wave-vector we can readily choose the Fourier transform of the vector potential l to be . Using this, we can obtain the response of the lowest Fourier components of the current density as

(19) | ||||

The second term vanishes in many of our examples and will be assumed to be zero for simplicity in the remainder of this section. By relating the vector potential to the magnetic field, we can rewrite equation (19) as

(21) |

Expanding the current operator in terms of the creation operators for eigenstates of the Bloch Hamiltonian with eigenvalues as

(22) |

where are the single particle current operators that are derived from the Bloch Hamiltonian. The response function can be expanded as is standard with the derivation of the Kubo formula (26) to obtain a form

(23) | ||||

This expression is identical to the result obtained for the dynamical linear response formalism in the limit or more precisely .

### iii.2 Comparison with field theory results for Weyl semimetals

One of the questions raised by the previous subsection is how to reconcile field theory predictions of a nonzero chiral magnetic response with our vanishing results. To investigate this we explicitly calculate equation (23) for a generic two band model and use the result to calculate defined in equation (21) (details of this calculation are presented in the appendix).The final expression is given by

(25) | ||||

(26) |

where

(27) |

is the wave packet orbital magnetization. Our result for is in agreement with Ref.(19) but different from Refs.(17). Using periodicity of the lattice the second term in equation (25) can be partial integrated to look like the first term with the opposite sign therefore giving a vanishing as expected. However if we work within a low energy effective hamiltonian description of the problem, as is usually done in field theory calculations , a non vanishing result might have been achieved.To illustrate this point consider the simplest low energy effective hamiltonian of a Weyl semimetal, that is two linearly dispersing well fermions (i.e. ), in this case at each is momentum space and therefore the second term in equation (25) identically vanishes and we are left with

(28) |

Partial integrating equation (28) in zero temperature gives

(29) |

where here corresponds to the conduction band. For a general two band Bloch Hamiltonian (where are the Pauli matrices) the energy eigenvalues are given by

(30) |

Substituting the eigenvalues and eigenvectors into Eq. 27, the orbital magnetic moment is written as:

(31) |

where is the Berry curvature. Using this we can rewrite equation (29) as

(32) | ||||

where we used the fact that the total Chern number of the entire Fermi surface is zero to get from the first line to the second line. In case of a two node Weyl semimetal we have two Fermi surfaces with and opposite values of uniform Berry curvature therefore as expected from field theory (27); (23). This argument can be easily generalized to include an arbitrary number of Weyl nodes. Note that even though we recovered the quantum field theory result, it is not applicable to a real material since it doesn’t include the second term in equation (25). This term in a periodic system forces the chiral response .

As has been pointed out, this situation can be partially circumvented by the chiral magnetic response at non zero frequencies where . While this limit can produce non-vanishing results even in lattice systems, it is difficult to disentangle the contribution of the electric field generated by the time-dependence of the magnetic field in this limit. The finite frequency generalization of the linear response calculation is given by (26)

(33) | ||||

to investigate behavior of as a function of frequency, we will numerically calculate equation (33) for a simple model two band model of Weyl semimetal with two Weyl nodes at zero temperature. In this calculation, the vanishing of the response comes to our aid and we can use this fact to argue that the inter-band terms must cancel with the limit of the intra-band (i.e. Fermi surface) terms. Therefore, the finite frequency response only Fermi surface properties contribute to equation (33) and therefore no further knowledge of the microscopic details of the Hamiltonian are necessary. Focusing on the intraband contribution to Eq. 33 we obtain

(34) | ||||

The results of this calculation are plotted in figure 1. It starts from zero at as expected from equilibrium theory, then peaks at some frequency an then approaches at note however that since and in this limit and therefore nonzero in this limit is more of an electric field effect rather than magnetic field one. It is worth mentioning that in the limiting case of we get we believe this feature is coincidental, since this limit does not correspond to and as required in the DC chiral magnetic effect.

Also note that the topology of a Weyl semimetal is not necessary to obtain a nonzero (28); (29); (30). One way to see this is to look at the limit direct calculation of equation (33) for an isotropic model in this limit gives

(35) |

all the steps from equation (28) to equation (32) goes through here as well. Interestingly and in Eq.(32) are independent of each other since the Berry curvature only depends on eigenstates not eigenvalues. Therefore as long as Berry curvature is not zero every where on Fermi surface we can choose arbitrarily such that is non zero. Therefore, similar to the magneto-electric effect (31), topology, which is defined by Fermi surface components with non-vanishing Berry flux (12) is not necessary to a get nonzero . Similar finite frequency CME resulting from non-topological Berry curvature has been previously reported (28); (29); (30).

### iii.3 -field response under open boundary conditions

The second issue raised by the vanishing DC limit of the dynamical response, which has not been resolved earlier, is the apparent contradiction between equation (24) and the example presented in Sec. II. As we will show, the crux of this discrepancy lies in the fundamental difference in the description of the magnetic field for systems with open and periodic boundary conditions.

Unlike in the case of periodic boundary conditions, where a magnetic field must be applied with a finite wave-vector , open systems can be subject to a strictly uniform magnetic field as in experiments. A uniform magnetic field in an open system can be represented in the circular gauge by a vector potential that is given by . In this case, the magnetic field perturbation affects the Hamiltonian as , where is the magnetic moment operator. Using this in Eq. III.1 from Sec. III.1 and noting that transforms to in the present notation, the response of the equilibrium current density to magnetic field is

(36) |

where is the current operator in the z direction.Expanding in the quasiparticle operator eigenbasis and the other operators as and the current response matrix element becomes

(37) |

Noting that

(38) |

Separating the and contribution to the current response , the contribution is written as

(39) |

This term is equivalent to the DC limit of the finite frequency linear response. To compare this result to the dynamical linear response in Eq. 23 we notice that are no longer good quantum numbers in the open boundary condition case and we can simply replace in the derivation in Sec. III.1. Therefore, the open system limit is obtained from Eq. 23 by dropping the labels and is written as

(40) |

Now note that at any finite , the contribution to the above sum vanishes so that the DC (i.e. ) limit of this expression is identical to that in Eq. 39.

In addition to the DC limit of the dynamic response, there is also a contribution to the equilibrium current response , which is written as

(41) |

where we note that the and cases lead to different terms in the above expression and are Fermi functions. In contrast, the analogue of the term does not contribute to the finite frequency response function. Finally, we note that the explicit response of the current is identical in both real and imaginary frequency cases. We have ignored this contribution for simplicity.

The term in Eq. 41 can lead to a substantial difference between the vanishing equilibrium response and the DC limit of the dynamical response. As a result, while the equilibrium linear response is required to vanish based on the argument in Sec. III.1, the DC limit (i.e. ) of the dynamic response is not necessarily vanishing as suggested by Sec. II. This is consistent with the non-vanishing CME obtained for certain open systems (32).

## Iv Chiral magnetic response in weakly disordered systems

The necessity of a finite but small wave-vector for the magnetic field used in the linear response derivation in Sec. III.1 leads to some subtle difficulties in the order of limits. This is because that the vector potential scales as and therefore it diverges as , so that as , the range of over which the perturbation theory is valid shrinks to zero. This difficulty can be avoided by introducing another length scale into the problem so that the response function becomes independent of at small enough . One way to do this is to introduce the length given by the inverse of the scattering rate, in this case the wave vector just needs to be much smaller than the mean free path rather than going to zero . To address this problem we’ll consider the problem of static CME in a disordered metal in the last section.There we’ll show that equation (24) remains valid in presence of weak disorder.

As mentioned in the introduction of disorder introduces a length scale to the the system , that can help make the perturbation theory valid when the magnetic field is turned on. We introduce disorder into a lattice realization of a Weyl semi-metal through a potential term in the Hamiltonian, which is written as:

(42) |

where labels unit cells and labels atoms inside the unit cell. For our calculations, we use a Gaussian white-noise disorder model for the functions with a correlation function where characterizes the strength of the disorder. The potential perturbation in Fourier space is written as

(43) |

where . Starting with this perturbation, the disordered averaged Green function can be calculated within the Born approximation (26) as where

(44) |

is the electron self-energy within the Born approximation and is the bare time-ordered Green function (i.e. ). Note that for compactness we have introduced the notation .

To calculate the disorder averaged response , we use the Kubo formula as in the clean case modified to include weak disorder. Following the standard diagrammatic theory for disorder (26), we do this by calculating the Feynman diagrams shown in Fig [2]. In these diagrams, the double lines correspond to disorder -averaged Green functions and the shaded boxed correspond to disorder scattering by the fluctuations in the potential . We can sum all of the contributing diagrams into a renormalized current vertex, (shown in the second line Fig [2]), so that the response function is written as:

(45) | ||||

where

(46) | ||||

We note that the validity of this approach requires being in the diffusive limit (i.e. mean-free path Fermi wave-length). This is different from the Weyl semi-metal regime with vanishing density of states that is being debated for chemical potential near the Weyl node (33); (34); (35); (36); (33); (37). We will avoid this regime by choosing a finite chemical potential with a Fermi energy much greater than the disorder scattering rate.

In principle, once is calculated using Eq. 45, one can substitute it back into Eq. 21 to calculate the chiral magnetic response . We now argue that this necessarily vanishes for a disordered system. To do this, note that the Ward identity (38) gives:

(47) | |||

which in turn guarantees that in the limit that we are interested in (i.e. ) :

(48) |

This implies that there are no vertex corrections and we need to consider only the bubble diagram (the first diagram in the first line of Fig. 2). With this approximation, in Eq. 45 when expanded to first order in becomes:

(49) | ||||

This has the form of a Hopf topological invariant (39) and vanishes since the Green function has no real frequency poles (shown in the appendix). Therefore, using Eq. 21, we conclude that universally for all disordered physical systems. This is consistent with the equilibrium results showing that the current must vanish in a magnetic field in a lattice system (16); (25).

On the other hand, for frequencies much larger than the scattering rate , we expect disorder not to play a role and therefore finite frequency chiral magnetic response should return to the clean limit value in such a range. In this case, we have to be careful to ensure that the wave-vector is chosen to obey the limit .

To understand how crosses over from the vanishing DC value to the clean-limit value, we numerically calculate for the model Hamiltonian of Weyl semimetal used in Ref.(17) :

(50) | ||||

This model hosts four right handed Weyl Fermions located at high symmetry points and four left handed ones at . We use the disorder realization as in equation (42) and use Eq. 45 to calculate so that we can calculate using Eq. (48) (without taking the limits ). To reduce the numerical complexity we assume that is still small enough so that we can use Eq. (48). Within this approximation, we then replace the self-energy by a uniform scattering rate . The resulting from our calculation, which is plotted in Fig. 3, shows that vanishes in the DC limit and approaches , which is consistent with the clean limit for the chosen .

## V Conclusion

In summary, we have shown that a CME-like response i.e. one where a current flows in response to a magnetic field is in principle possible with or without Weyl nodes. This appears to contradict previous claims of the vanishing of the low frequency CME. We point out that the derivation of the vanishing CME is a consequence of periodic boundary conditions of the system. A more realistic system with open boundary conditions would not be subject to the same constraints and can have a non-vanishing CME. We also studied the finite frequency CME with periodic boundary conditions and consistent with recent work, we found it to be non-vanishing in general when there was a non-vanishing Berry curvature on the Fermi surface. This does not necessitate having a topological Berry flux as in the case of a Weyl node. Finally, we study how the perturbation theory in magnetic field might be more stable in the presence of disorder. Using the standard diagrammatic treatment of disorder within the Born approximation, we have found that in a realistic disordered system, the chiral magnetic response is really a dynamical phenomena and vanishes in the DC limit. For frequencies in excess of the scattering rate, the clean limit predictions are recovered. Numerical evaluation of the associated integrals for a specific lattice model show how the cross-over occurs as the frequency is increased above the scattering rate.

This work was supported by the JQI-NSF-PFC and start-up funds from the University of Maryland. We further thank Dima Pesin, Joel Moore, Ivo Souza for pointing out an error in the original version of this work.

*

## Appendix A Appendices

### a.1 Details of the clean linear response calculation

Here we explicitly show how to get from equations (21) and (23) to equation (25). In the limit we are interested in (i.e. ) we can re write equation (23) as :

(51) | ||||

We now expand to first order in and keep only the anti-symmetric part, for simplicity we divide the expression to four terms each corresponding to the expansion of :

1.the numerator of the first term.)

2.the denominator of the first term.

3.the matrix element in the first term.

4.the matrix element in the second term.

Now we calculate each one as follows ( everywhere below):

(52) |

after shifting to , for we have: